This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 166344 - gc-6.6/x86_64 not linked against -ldl -lpthread
gc-6.6/x86_64 not linked against -ldl -lpthread
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-19 11:23 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 13:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-08-19 11:23:55 EDT
From gc's x86_64 build.log:  No shared -lpthread or -ldl on x86_64?

------------------------


/bin/sh ./libtool --mode=link gcc -fexceptions -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffe
r-size=4 -m64 -mtune=nocona  -o libgc.la -rpath /usr/lib64 -version-info
1:2:0 allchblk.lo alloc.lo blacklst.lo checksums.lo dbg_mlc.lo dy
n_load.lo finalize.lo gc_dlopen.lo gcj_mlc.lo headers.lo malloc.lo
mallocx.lo mark.lo mark_rts.lo misc.lo new_hblk.lo obj_map.lo os_dep.lo
 pcr_interface.lo ptr_chck.lo real_malloc.lo reclaim.lo
solaris_pthreads.lo solaris_threads.lo specific.lo stubborn.lo
typd_mlc.lo backgra
ph.lo win32_threads.lo pthread_support.lo pthread_stop_world.lo
darwin_stop_world.lo  mach_dep.lo -lpthread -ldl
mkdir .libs
rm -fr .libs/libgc.la .libs/libgc.* .libs/libgc.*

*** Warning: This library needs some functionality provided by -lpthread.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have.

*** Warning: This library needs some functionality provided by -ldl.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have.
*** The inter-library dependencies that have been dropped here will be
*** automatically added whenever a program is linked with this library
*** or is declared to -dlopen it.
Comment 1 Rex Dieter 2005-09-13 15:31:41 EDT
fixed (I think) in gc-6.6.
Comment 2 Rex Dieter 2005-09-14 12:30:56 EDT
Nope, spoke too soon, per
http://buildsys.fedoraproject.org/logs//development/1064-Macaulay2-0.9.2-18.fc5/x86_64/build.log

gcc   scc1.o readfile.o error.o dictionary.o list.o cprint.o type.o chk.o
compat.o grammar.o -lm -lgc  -o scc1
/usr/lib/gcc/x86_64-redhat-linux/4.0.1/../../../../lib64/libgc.so: undefined
reference to `pthread_create'
...
/usr/lib/gcc/x86_64-redhat-linux/4.0.1/../../../../lib64/libgc.so: undefined
reference to `dlopen'

Strongly suggests the problem still exists.
Comment 3 Rex Dieter 2005-09-14 12:33:46 EDT
Yep, from:
http://buildsys.fedoraproject.org/logs//development/1016-gc-6.6-2.fc5/x86_64/build.log

/bin/sh ./libtool --mode=link g++ -fexceptions -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=nocona   -o libgccpp.la -rpath /usr/lib64 -version-info 1:2:0
gc_cpp.lo -lpthread -ldl  
rm -fr .libs/libgc.la .libs/libgc.* .libs/libgc.*

*** Warning: This library needs some functionality provided by -lpthread.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have.

*** Warning: This library needs some functionality provided by -ldl.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have.
*** The inter-library dependencies that have been dropped here will be
*** automatically added whenever a program is linked with this library
*** or is declared to -dlopen it.
Comment 4 Rex Dieter 2005-09-14 12:40:08 EDT
Tis a problem with the fc4 build as well.
Comment 5 Rex Dieter 2005-09-16 13:41:59 EDT
It appears to have been mostly libtool badness.  Updating libtool (libtoolize,
etc...) seems to have done the trick.  Fixed in gc-6.6-3
Comment 6 Robin Green 2005-11-01 03:21:18 EST
It's now November, and gc-6.6-3 is still not available. Please could someone
request a rebuild?
Comment 7 Rex Dieter 2005-11-01 07:42:01 EST
Ack, I think the rebuilds got lost in the buildsystem madness going on recently.
 Builds queue'd, hopefully, to appear shortly.

Note You need to log in before you can comment on or make changes to this bug.